Retrieve data quota details
Returns details about the assigned Data Quota for an endpoint.
status: this indicates the current status of the quota and may contain the following values:ACTIVE: the endpoint can currently connect and has quota leftEXHAUSTED: the endpoint has exceeded the quota volume, if it still can use data service depends on the action chosen to be performed on exhaustionEXPIRED: the quota has expired; the endpoint is denied from using data services (until new quota is added)
volume: returns the volume left on this quota in MBexpiry_date: timestamp when this quota will expire and the endpoint will definitely be denied from using further data services (regardless if the quota volume was used up or not)action_on_exhaustion: returns the behaviour defined to be applied when quota volume is used up (exhausted).Throttle: bandwidth will be throttle to the defined peak throughput until quota expiresBlock: data service will be instantly blocked once volume used up, regardless if the expiry date is already reached or not
auto_refill: 0 (false) / 1 (true), refill the quota with the last added volume on a daily basis
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
endpoint_id
Numeric ID of an endpoint
Response
Success
status
volume
expiry_date
action_on_exhaustion
last_volume_added
last_status_change_date
auto_refill
threshold_volume
threshold_percentage
Errors
403
Forbidden Error